#
# spec file for package adns
#
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

#

%define lname libadns
%ifarch x86_64
%define _libdir /usr/lib64
%else
%define _libdir /usr/lib
%endif
 
Name: adns
Version:        1.2
Release:        0%{?dist}
Url:            http://www.chiark.greenend.org.uk/~ian/adns/
Group:          System Environment/Libraries 
Summary:        Advanced Easy-to-Use Asynchronous-Capable DNS Utilities
License:        GPLv2+
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  autoconf

%description
adns includes a collection of useful DNS resolver utilities.

%package -n %lname
Summary:        Advanced DNS resolver client library
Group:          System Environment/Libraries 

%description -n %lname
Libadns is an advanced, easy to use, asynchronous-capable DNS resolver
client library for C (and C++) programs.

%package -n adns-devel
Summary:        Libraries and header files to develop programs with libadns support
Group:          Development/Libraries
Requires:       %lname = %{version} glibc-devel

%description -n adns-devel
Libadns-devel includes the header file and static library to develop
programs with libads support.

%prep
%setup -q -n %{name}-%{version}

%build
%configure %{_libdir}
%{__make}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_bindir}
%makeinstall 
#For some reason even if they _libdir=/lib64, libraries put in /usr/lib 
#Move them
if [ "$(uname -p)" == "x86_64" ]
then 
	mv %{buildroot}/usr/lib/lib* %{buildroot}/%{_libdir}/
fi
#FIXME: --disable-static not available
rm %{buildroot}%{_libdir}/*.a


%clean 
rm -rf $RPM_BUILD_ROOT

%check

%files
%defattr(-,root,root)
%doc COPYING GPL-vs-LGPL LICENCE.WAIVERS README* TODO changelog
%{_bindir}/adns*

%files -n %lname
%doc COPYING GPL-vs-LGPL LICENCE.WAIVERS README* TODO changelog
%defattr(-,root,root)
%{_libdir}/libadns.so.1*

%files -n adns-devel
%doc COPYING GPL-vs-LGPL LICENCE.WAIVERS README* TODO changelog
%defattr(-,root,root)
%{_includedir}/adns.h
%{_libdir}/libadns.so

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%changelog
* Tue Mar 27 2012 - Dwight Beaver <dsbeaver@cert.org> 1.2-0
- Initial packaging for adns

